## net.dontdrinkandroot.lastfm.api.model
Class Session

    java.lang.Object
      net.dontdrinkandroot.lastfm.api.model.Session

All Implemented Interfaces:
  java.io.Serializable

    public class Session

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`Session(org.w3c.dom.Element root)` Create a Session from a dom4j Element.
`Session(java.lang.String username, java.lang.String key, boolean subscriber)`

Method Summary
`java.lang.String` `getKey()`
`java.lang.Boolean` `getSubscriber()`
`java.lang.String` `getUsername()`
`boolean` `isSubscriber()`
`void` `setKey(java.lang.String key)`
`void` `setSubscriber(java.lang.Boolean subscriber)`
`void` `setUsername(java.lang.String username)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Session

    public Session(org.w3c.dom.Element root)

  Create a Session from a dom4j Element.

  Parameters:
    `root` - The dom4j Element to create the Session object from.

### Session

    public Session(java.lang.String username,
                   java.lang.String key,
                   boolean subscriber)

Method Detail

### getUsername

    public final java.lang.String getUsername()

### setUsername

    public final void setUsername(java.lang.String username)

### getKey

    public final java.lang.String getKey()

### setKey

    public final void setKey(java.lang.String key)

### getSubscriber

    public final java.lang.Boolean getSubscriber()

### setSubscriber

    public final void setSubscriber(java.lang.Boolean subscriber)

### isSubscriber

    public final boolean isSubscriber()

Copyright © 2013 dontdrinkandroot. All Rights Reserved.